The template catalogue.
GET
/api/v1/templates
const url = 'https://example.com/api/v1/templates';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/templatesResponses
Section titled “Responses”Media typeapplication/json
Array<object>
object
id
required
string
name
required
string
description
required
string
category
required
string
image
required
string
port
required
integer format: int32
protocol
required
http (public route) or tcp (cluster-internal).
string
volumes
required
mountPath (size) of each volume.
Array<string>
connection_keys
required
Keys of the <app>-credentials secret, e.g. url.
Array<string>
Examplegenerated
[ { "id": "example", "name": "example", "description": "example", "category": "example", "image": "example", "port": 1, "protocol": "example", "volumes": [ "example" ], "connection_keys": [ "example" ] }]